<?php
/**
 * Bundle Definition
 *
 * @author Elze Kool <info@visualmedia.nl>
 */

namespace VisualM\FormBundle;

use Doctrine\DBAL\Types\Type;
use Symfony\Component\HttpKernel\Bundle\Bundle;

/**
 * Bundle Definition
 *
 * @author Elze Kool <info@visualmedia.nl>
 */
class VisualMFormBundle extends Bundle
{
    /**
     * {@inheritdoc}
     */
    public function boot()
    {
        if (!Type::hasType('form_field_type')) {
            Type::addType('form_field_type', 'VisualM\\FormBundle\\Doctrine\\FieldType\\FormFieldType');
        }
    }
    
}
